openai.gpt-oss-20b-1:0 API on AvalAI
openai.gpt-oss-20b-1:0openai.gpt-oss-20b-1:0 is an AI model from OpenAI that is available through AvalAI's OpenAI-compatible API.
Use openai.gpt-oss-20b-1:0 with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "openai.gpt-oss-20b-1:0", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="openai.gpt-oss-20b-1:0",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "openai.gpt-oss-20b-1:0",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
- Reasoning
- Structured output
- Tool choice
openai.gpt-oss-20b-1:0 rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 1 | 40,000 |
| Tier 1 | 25 | 150,000 |
| Tier 2 | 50 | 300,000 |
| Tier 3 | 75 | 450,000 |
| Tier 4 | 100 | 500,000 |
| Tier 5 | 150 | 750,000 |
Related models
Frequently asked questions
What is the openai.gpt-oss-20b-1:0 API on AvalAI?
Create an AvalAI API key and send the model ID openai.gpt-oss-20b-1:0 to one of the supported endpoints shown on this page.
How much does the openai.gpt-oss-20b-1:0 API cost on AvalAI?
The openai.gpt-oss-20b-1:0 API on AvalAI costs $0.07 per 1M input tokens and $0.30 per 1M output tokens.
What is the token cost for openai.gpt-oss-20b-1:0?
Current AvalAI pricing for openai.gpt-oss-20b-1:0 is $0.07 / 1M tokens for input and $0.30 / 1M tokens for output.
What is the openai.gpt-oss-20b-1:0 context window?
The recorded maximum input context for openai.gpt-oss-20b-1:0 is 128,000 tokens.
What are the rate limits for openai.gpt-oss-20b-1:0 on AvalAI?
On tier 5, openai.gpt-oss-20b-1:0 on AvalAI supports up to 150 requests per minute and 750,000 tokens per minute.
What features does openai.gpt-oss-20b-1:0 support on AvalAI?
openai.gpt-oss-20b-1:0 on AvalAI supports Function calling, Reasoning, Structured output, Tool choice.
What account tier is required to use openai.gpt-oss-20b-1:0 on AvalAI?
Calling openai.gpt-oss-20b-1:0 on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)